Skip to main content
`Ctrl`+`K`

# PEPReset

Resets the `PEP` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPReset(PEP pep)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPDestroy()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

## Implementations

PEPReset_CISS() in src/pep/impls/ciss/pciss.c
PEPReset_JD() in src/pep/impls/jd/pjd.c
PEPReset_STOAR() in src/pep/impls/krylov/stoar/stoar.c
PEPReset_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages